Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Platform

Meeting API: Fields hidden in dashboard and report APIs

API release

Summary:Published March 3, 2023. The response fields id and participant_user_id for meeting guests (not hosts) have been hidden in the Dashboard and Report API endpoints because this information represents guest Personal Identifying Information (PII). Developers must change any business logic which relies on information from these fields. Affected endpoints are GET /v2/metrics/meetings/{meetingId}/participants and 14 other related endpoints.

Published March 3, 2023

The response fields id and participant_user_id for meeting guests (not hosts) have been hidden in the Dashboard and Report API endpoints because this information represents guest Personal Identifying Information (PII). Developers will no longer be able to get these information fields from the Dashboard and Report API endpoints. Developers must change any of their business logic which relies on information from these fields.

Affected endpoints:

  • GET /v2/metrics/meetings/{meetingId}/participants
  • GET /v2/metrics/meetings/{meetingId}/participants/qos
  • GET /v2/metrics/meetings/{meetingId}/participants/{participantId}/qos
  • GET /v2/metrics/meetings/{meetingId}/participants/sharing
  • GET /v2/metrics/meetings/{meetingId}/participants/qos_summary
  • GET /v2/metrics/webinars/{webinarId}/participants
  • GET /v2/metrics/webinars/{webinarId}/participants/qos
  • GET /v2/metrics/webinars/{webinarId}/participants/{participantId}/qos
  • GET /v2/metrics/webinars/{webinarId}/participants/sharing
  • GET /v2/metrics/webinars/{webinarId}/participants/qos_summary
  • GET /v2/report/meetings/{meetingId}/participants
  • GET /v2/past_meetings/{meetingId}/participants

Here is an annotated example response:

{
    "page_count": 1,
    "page_size": 30,
    "total_records": 1,
    "next_page_token": "",
    "participants": [
        {
            "id": "", //Empty for external users
            "user_id": "",
            "user_name": "",
            "device": "", //Empty for external users
            "ip_address": "",
            "internal_ip_addresses": [
                "", //Empty for external users
            ],
            "location": "",
            "network_type": "",
            "microphone": "", //Empty for external users
            "speaker": "", //Empty for external users
            "data_center": "Australia (ME Top)",
            "full_data_center": "Australia (ME Top);",
            "connection_type": "UDP",
            "join_time": "2023-03-02T21:01:11Z",
            "share_application": false,
            "share_desktop": false,
            "share_whiteboard": false,
            "recording": false,
            "pc_name": "", //Empty for external users
            "domain": "", //Empty for external users
            "mac_addr": "", //Empty for external users
            "harddisk_id": "", //Empty for external users
            "version": "", //Empty for external users
            "email": "", //Follow e-mail handling rules
            "audio_quality": "",
            "video_quality": "",
            "screen_share_quality": "",
            "registrant_id": "string",
            "status": "in_meeting",
            "customer_key": "",
            "sip_uri": "",
            "from_sip_uri": "",
            "role": "host",
            "participant_user_id": "", //Empty for external users
            "audio_call": []
        }
    ]
}

See Email address display rules for email-handling rules.